Subject: [TLS] Use of SHA-0 versus SHA-1 in SSL v3.0 and TLS v1.0 and TLS v1.1

From: Robert Withers <[email-masked]>
Date: Sat, 23 Sep 2006 09:01:28 -0700

I am confused about some of the terminology in the specifications.   
For instance, in the TLS v1.0 spec, in some places it specifies SHA-1  
and in others it merely says SHA.   This is especially true of the  
SSL v3.0 spec.  Something (I don't recall what) turned me on to the  
possibility that some of the SHA references may actually be for  
SHA-0.  Is there anything to this?

thank you,
Robert

_______________________________________________
TLS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tls

---

From: David Hopwood <[email-masked]>
Date: Sat, 23 Sep 2006 22:10:19 +0100

Robert Withers wrote:
> I am confused about some of the terminology in the specifications.   For
> instance, in the TLS v1.0 spec, in some places it specifies SHA-1  and
> in others it merely says SHA.   This is especially true of the  SSL v3.0
> spec.  Something (I don't recall what) turned me on to the  possibility
> that some of the SHA references may actually be for  SHA-0.  Is there
> anything to this?

No, none of the SHA references are to SHA-0. The glossary is already clear
about this:

   SHA
       The Secure Hash Algorithm is defined in FIPS PUB 180-1. It
       produces a 20-byte output. Note that all references to SHA
       actually use the modified SHA-1 algorithm. [SHA]

(in the TLS 1.2 draft, the reference is to FIPS PUB 180-2.)

-- 
David Hopwood <[email-masked]>